"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RolesMapping = void 0;
const react_1 = __importStar(require("react"));
const eui_1 = require("@elastic/eui");
const roles_mapping_table_1 = require("./roles-mapping-table");
const roles_mapping_edit_1 = require("./roles-mapping-edit");
const roles_mapping_create_1 = require("./roles-mapping-create");
const wz_request_1 = require("../../../react-services/wz-request");
const error_handler_1 = require("../../../react-services/error-handler");
exports.RolesMapping = () => {
    const [isEditingRule, setIsEditingRule] = react_1.useState(false);
    const [isCreatingRule, setIsCreatingRule] = react_1.useState(false);
    const [rules, setRules] = react_1.useState([]);
    const [loadingTable, setLoadingTable] = react_1.useState(true);
    const [selectedRule, setSelectedRule] = react_1.useState({});
    const [rolesEquivalences, setRolesEquivalences] = react_1.useState({});
    const [roles, setRoles] = react_1.useState([]);
    react_1.useEffect(() => {
        initData();
    }, []);
    const initData = async () => {
        try {
            setLoadingTable(true);
            const roles = await wz_request_1.WzRequest.apiReq('GET', '/security/roles', {});
            const roles_data = (((roles || {}).data || {}).data || {}).affected_items || [];
            setRoles(roles_data);
            const rolesObject = {};
            roles_data.forEach((item) => {
                rolesObject[item.id] = item.name;
            });
            setRolesEquivalences(rolesObject);
            const request = await wz_request_1.WzRequest.apiReq('GET', '/security/rules', {});
            const rules = (((request || {}).data || {}).data || {}).affected_items || [];
            setRules(rules);
        }
        catch (error) {
            error_handler_1.ErrorHandler.error(error);
        }
        setLoadingTable(false);
    };
    let editFlyout;
    if (isEditingRule) {
        editFlyout = (react_1.default.createElement(eui_1.EuiOverlayMask, { headerZindexLocation: "below", onClick: () => {
                setIsEditingRule(false);
            } },
            react_1.default.createElement(roles_mapping_edit_1.RolesMappingEdit, { rule: selectedRule, closeFlyout: (isVisible) => { setIsEditingRule(isVisible); initData(); }, rolesEquivalences: rolesEquivalences, roles: roles })));
    }
    let createFlyout;
    if (isCreatingRule) {
        editFlyout = (react_1.default.createElement(eui_1.EuiOverlayMask, { headerZindexLocation: "below", onClick: () => {
                setIsCreatingRule(false);
            } },
            react_1.default.createElement(roles_mapping_create_1.RolesMappingCreate, { closeFlyout: (isVisible) => { setIsCreatingRule(isVisible); initData(); }, rolesEquivalences: rolesEquivalences, roles: roles })));
    }
    return (react_1.default.createElement(eui_1.EuiPageContent, null,
        react_1.default.createElement(eui_1.EuiPageContentHeader, null,
            react_1.default.createElement(eui_1.EuiPageContentHeaderSection, null,
                react_1.default.createElement(eui_1.EuiTitle, null,
                    react_1.default.createElement("h2", null, "Roles mapping"))),
            react_1.default.createElement(eui_1.EuiPageContentHeaderSection, null,
                react_1.default.createElement("div", null,
                    react_1.default.createElement(eui_1.EuiButton, { onClick: () => setIsCreatingRule(true) }, "Create role mapping"),
                    createFlyout,
                    editFlyout))),
        react_1.default.createElement(eui_1.EuiPageContentBody, null,
            react_1.default.createElement(roles_mapping_table_1.RolesMappingTable, { rolesEquivalences: rolesEquivalences, loading: loadingTable, rules: rules, editRule: (item) => { setSelectedRule(item); setIsEditingRule(true); }, updateRules: async () => await initData() }))));
};
