"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RuleEditor = void 0;
const react_1 = __importStar(require("react"));
const eui_1 = require("@elastic/eui");
exports.RuleEditor = ({ save, initialRule, isLoading, isReserved }) => {
    const [logicalOperator, setLogicalOperator] = react_1.useState("AND");
    const [isLogicalPopoverOpen, setIsLogicalPopoverOpen] = react_1.useState(false);
    const [isJsonEditor, setIsJsonEditor] = react_1.useState(false);
    const [ruleJson, setRuleJson] = react_1.useState("{\n\t\n}");
    const [hasWrongFormat, setHasWrongFormat] = react_1.useState(false);
    const default_rule = { user_field: "username", searchOperation: "FIND", value: "wazuh" };
    const [rules, setRules] = react_1.useState([{ ...default_rule }]);
    const searchOperationOptions = [
        { value: 'FIND', text: 'FIND' },
        { value: 'FIND$', text: 'FIND$' },
        { value: 'MATCH', text: 'MATCH' },
        { value: 'MATCH$', text: 'MATCH$' },
    ];
    react_1.useEffect(() => {
        if (initialRule) {
            const ruleTmp = getRuleFromJson(JSON.stringify(initialRule));
            if (!hasWrongFormat) {
                setRules(ruleTmp);
            }
        }
    }, []);
    const onButtonClick = () => setIsLogicalPopoverOpen(isLogicalPopoverOpen => !isLogicalPopoverOpen);
    const closeLogicalPopover = () => setIsLogicalPopoverOpen(false);
    const selectOperator = (op) => {
        setLogicalOperator(op);
        closeLogicalPopover();
    };
    const onSelectorChange = (e, idx) => {
        const rulesTmp = [...rules];
        rulesTmp[idx].searchOperation = e.target.value;
        setRules(rulesTmp);
    };
    const updateUserField = (e, idx) => {
        const rulesTmp = [...rules];
        rulesTmp[idx].user_field = e.target.value;
        setRules(rulesTmp);
    };
    const updateValueField = (e, idx) => {
        const rulesTmp = [...rules];
        rulesTmp[idx].value = e.target.value;
        setRules(rulesTmp);
    };
    const removeRule = (id) => {
        const rulesTmp = [...rules];
        rulesTmp.splice(id, 1);
        setRules(rulesTmp);
    };
    const printRules = () => {
        const rulesList = rules.map((item, idx) => {
            return (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(eui_1.EuiFlexGroup, null,
                    react_1.default.createElement(eui_1.EuiFlexItem, null,
                        react_1.default.createElement(eui_1.EuiFormRow, { label: "User field" },
                            react_1.default.createElement(eui_1.EuiFieldText, { disabled: isLoading || isReserved, placeholder: "", value: item.user_field, onChange: e => updateUserField(e, idx), "aria-label": "" }))),
                    react_1.default.createElement(eui_1.EuiFlexItem, { grow: false },
                        react_1.default.createElement(eui_1.EuiFormRow, { label: "Search operation" },
                            react_1.default.createElement(eui_1.EuiSelect, { disabled: isLoading || isReserved, id: "selectDocExample", options: searchOperationOptions, value: item.searchOperation, onChange: e => onSelectorChange(e, idx), "aria-label": "Use aria labels when no actual label is in use" }))),
                    react_1.default.createElement(eui_1.EuiFlexItem, null,
                        react_1.default.createElement(eui_1.EuiFormRow, { label: "Value" },
                            react_1.default.createElement(eui_1.EuiFieldText, { disabled: isLoading || isReserved, placeholder: "", value: item.value, onChange: e => updateValueField(e, idx), "aria-label": "" }))),
                    react_1.default.createElement(eui_1.EuiFlexItem, { grow: false },
                        react_1.default.createElement(eui_1.EuiButtonIcon, { style: { marginTop: 25 }, onClick: () => removeRule(idx), iconType: "trash", color: "danger", "aria-label": "Remove rule" }))),
                react_1.default.createElement(eui_1.EuiFlexGroup, null,
                    react_1.default.createElement(eui_1.EuiFlexItem, null,
                        react_1.default.createElement(eui_1.EuiHorizontalRule, { margin: "xs" })))));
        });
        return (react_1.default.createElement("div", null, rulesList));
    };
    const addNewRule = () => {
        const rulesTmp = [...rules];
        rulesTmp.push(default_rule);
        setRules(rulesTmp);
    };
    const getJsonFromRule = () => {
        const ruleObject = {};
        const rulesArray = rules.map(item => {
            const tmpRule = {};
            tmpRule[item.searchOperation] = {};
            tmpRule[item.searchOperation][item.user_field] = item.value;
            return tmpRule;
        });
        ruleObject[logicalOperator] = rulesArray;
        return ruleObject;
    };
    const openJsonEditor = () => {
        const ruleObject = {};
        const rulesArray = rules.map(item => {
            const tmpRule = {};
            tmpRule[item.searchOperation] = {};
            tmpRule[item.searchOperation][item.user_field] = item.value;
            return tmpRule;
        });
        ruleObject[logicalOperator] = rulesArray;
        setRuleJson(JSON.stringify(ruleObject, undefined, 2));
        setIsJsonEditor(true);
    };
    const getRuleFromJson = (jsonRule) => {
        try {
            var wrongFormat = false;
            const ruleObject = JSON.parse(jsonRule);
            if (Object.keys(ruleObject).length !== 1) {
                wrongFormat = true;
            }
            var logicalOperator = Object.keys(ruleObject)[0];
            var rulesArray;
            if (logicalOperator === 'AND' || logicalOperator === 'OR') {
                rulesArray = ruleObject[logicalOperator];
            }
            else {
                rulesArray = [ruleObject];
                logicalOperator = "AND";
            }
            setLogicalOperator(logicalOperator);
            const tmpRules = rulesArray.map((item, idx) => {
                if (Object.keys(item).length !== 1) {
                    wrongFormat = true;
                }
                const searchOperationTmp = Object.keys(item)[0];
                if (Object.keys(item[searchOperationTmp]).length !== 1) {
                    wrongFormat = true;
                }
                const userFieldTmp = Object.keys(item[searchOperationTmp])[0];
                const valueTmp = item[searchOperationTmp][userFieldTmp];
                return { user_field: userFieldTmp, searchOperation: searchOperationTmp, value: valueTmp };
            });
            setHasWrongFormat(wrongFormat);
            return tmpRules;
        }
        catch (error) {
            setHasWrongFormat(true);
        }
    };
    const openVisualEditor = () => {
        const tmpRules = getRuleFromJson(ruleJson);
        setRules(tmpRules);
        setIsJsonEditor(false);
    };
    const onChangeRuleJson = (e) => {
        setRuleJson(e);
        getRuleFromJson(e); // we test format to disable button if it's incorrect
    };
    const getSwitchVisualButton = () => {
        if (hasWrongFormat) {
            return react_1.default.createElement(eui_1.EuiToolTip, { position: "top", content: "Current rule can't be edited using visual editor" },
                react_1.default.createElement(eui_1.EuiButtonEmpty, { color: "primary", isDisabled: hasWrongFormat, onClick: () => openVisualEditor() }, "Switch to visual editor"));
        }
        else {
            return react_1.default.createElement(eui_1.EuiButtonEmpty, { color: "primary", onClick: () => openVisualEditor() }, "Switch to visual editor");
        }
    };
    const saveRule = () => {
        if (isJsonEditor) {
            save(JSON.parse(ruleJson));
        }
        else {
            save(getJsonFromRule());
        }
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(eui_1.EuiPanel, null,
            react_1.default.createElement(eui_1.EuiTitle, null,
                react_1.default.createElement("h1", null, "Mapping rules")),
            react_1.default.createElement(eui_1.EuiFlexGroup, null,
                react_1.default.createElement(eui_1.EuiFlexItem, null,
                    react_1.default.createElement(eui_1.EuiText, null,
                        react_1.default.createElement("span", null, "Assign roles to users who match these rules. "),
                        react_1.default.createElement(eui_1.EuiLink, { href: "https://documentation.wazuh.com/current/user-manual/api/rbac/auth_context.html", external: true, target: "_blank" }, "Learn more")))),
            react_1.default.createElement(eui_1.EuiFlexGroup, null,
                react_1.default.createElement(eui_1.EuiFlexItem, null,
                    react_1.default.createElement(eui_1.EuiPanel, null, isJsonEditor &&
                        react_1.default.createElement("div", null,
                            react_1.default.createElement(eui_1.EuiCodeEditor
                            // theme="textmate"
                            , { 
                                // theme="textmate"
                                readOnly: isLoading || isReserved, width: "100%", height: "250px", value: ruleJson, mode: "json", onChange: onChangeRuleJson, wrapEnabled: true, "aria-label": "Code Editor" }))
                        ||
                            react_1.default.createElement(react_1.default.Fragment, null,
                                react_1.default.createElement(eui_1.EuiPopover, { ownFocus: true, button: react_1.default.createElement(eui_1.EuiButtonEmpty, { disabled: isLoading || isReserved, onClick: onButtonClick, iconType: "arrowDown", iconSide: "right" }, logicalOperator === "AND" ? "All are true" : "Any are true"), isOpen: isLogicalPopoverOpen, closePopover: closeLogicalPopover, anchorPosition: "downCenter" },
                                    react_1.default.createElement("div", null,
                                        react_1.default.createElement(eui_1.EuiFlexGroup, null,
                                            react_1.default.createElement(eui_1.EuiFlexItem, null,
                                                react_1.default.createElement(eui_1.EuiButtonEmpty, { disabled: isLoading || isReserved, color: "text", onClick: () => selectOperator('AND') },
                                                    logicalOperator === "AND" && react_1.default.createElement(eui_1.EuiIcon, { type: "check" }),
                                                    "All are true"))),
                                        react_1.default.createElement(eui_1.EuiFlexGroup, null,
                                            react_1.default.createElement(eui_1.EuiFlexItem, null,
                                                react_1.default.createElement(eui_1.EuiButtonEmpty, { disabled: isLoading || isReserved, color: "text", onClick: () => selectOperator('OR') },
                                                    logicalOperator === "OR" && react_1.default.createElement(eui_1.EuiIcon, { type: "check" }),
                                                    "Any are true"))))),
                                printRules(),
                                react_1.default.createElement(eui_1.EuiButtonEmpty, { disabled: isLoading || isReserved, color: "primary", onClick: () => addNewRule() }, "Add new rule"))))),
            react_1.default.createElement(eui_1.EuiFlexGroup, null,
                react_1.default.createElement(eui_1.EuiFlexItem, { grow: false }, isJsonEditor &&
                    getSwitchVisualButton()
                    ||
                        react_1.default.createElement(eui_1.EuiButtonEmpty, { color: "primary", onClick: () => openJsonEditor() }, "Switch to JSON editor")))),
        react_1.default.createElement(eui_1.EuiFlexGroup, { style: { marginTop: 6 } },
            react_1.default.createElement(eui_1.EuiFlexItem, null),
            react_1.default.createElement(eui_1.EuiFlexItem, { grow: false },
                react_1.default.createElement(eui_1.EuiButton, { disabled: isReserved, isLoading: isLoading, fill: true, onClick: () => saveRule() }, "Save role mapping")))));
};
