"use strict";
/*
 * Wazuh app - Prompt component to notify when no security plugin is installed in Security/Users tab
 * Copyright (C) 2015-2020 Wazuh, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Find more information about this on the LICENSE file.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PromptNoSecurityPluginUsers = void 0;
const react_1 = __importDefault(require("react"));
const eui_1 = require("@elastic/eui");
const constants_1 = require("../../../../util/constants");
exports.PromptNoSecurityPluginUsers = () => {
    return (react_1.default.createElement(eui_1.EuiEmptyPrompt, { iconType: 'securityApp', title: react_1.default.createElement("h2", null, "No security plugin installed"), body: react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("p", null, "A supported security plugin is required to see and manage the users."),
            react_1.default.createElement("div", null, "Supported plugins:"),
            react_1.default.createElement(eui_1.EuiSpacer, { size: 's' }),
            react_1.default.createElement("ul", { style: { listStyleType: 'none', margin: 0, padding: 0 } }, constants_1.WAZUH_SECURITY_PLUGINS.map(securityPlugin => react_1.default.createElement("li", { key: `security-plugin-${securityPlugin}` },
                react_1.default.createElement("strong", null, securityPlugin))))) }));
};
